## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global         srcname     azure-mgmt-resource

Name:           python-%{srcname}
Version:        20.0.0
Release:        %autorelease
Summary:        Microsoft Azure Resource Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

Epoch:          1


BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros


%global _description %{expand:
Microsoft Azure Resource Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
Obsoletes:      python3-azure-sdk < 5.0.1
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md


%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1:20.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 15 2021 Major Hayden <major@mhtx.net> 1:20.0.0-1
- Update to 20.0.0

* Mon Sep 27 2021 Major Hayden <major@mhtx.net> 1:19.0.0-3
- Switch to rpmautospec

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 1:19.0.0-2
- Move obsoletes into subpackage

* Tue Sep 07 2021 Major Hayden <major@mhtx.net> 1:19.0.0-1
- Update to 19.0.0

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 1:18.0.0-2
- Add epoch number for downgrade to 18.0.0

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> 1:18.0.0-1
- Downgrade to 18.0.0

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> 18.0.0-1
- Revert "Update to 19.0.0"

* Tue Jul 20 2021 Major Hayden <major@mhtx.net> 19.0.0-1
- Update to 19.0.0

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> 18.0.0-1
- Initial commit (#1971852)
